/// <reference types="bn.js" />
/// <reference types="@solana/web3.js" />
/// <reference types="@project-serum/anchor/node_modules/@solana/web3.js" />
import { BN } from '@project-serum/anchor';
import { Clearing, CypherAccount } from '../accounts';
/**
 * String encoding for Pools and Market names.
 * @param str The name.
 * @returns The encoded value.
 */
export declare const encodeStrToUint8Array: (str: string) => number[];
export declare const decodeUint8ArrayToStr: (numArr: number[]) => string;
export declare const getDefaultPriorityFeeIxs: () => {
    modifyComputeUnits: import("@solana/web3.js").TransactionInstruction;
    addPriorityFee: import("@solana/web3.js").TransactionInstruction;
};
export declare const createObjectWithKeyFromString: (key: string) => {
    [x: string]: {};
};
export declare const getArgsInLots: ({ clearing, baseLotSize, quoteLotSize, price, account, decimals, size }: {
    clearing: Clearing;
    baseLotSize: BN;
    quoteLotSize: BN;
    price: number;
    account: CypherAccount;
    decimals: number;
    size: number;
}) => {
    priceInLots: BN;
    sizeInLots: BN;
    quoteInLots: BN;
};
