"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DerivativePosition = void 0;
const mango_client_1 = require("@blockworks-foundation/mango-client");
class DerivativePosition {
    constructor(state) {
        this.state = state;
    }
    get totalPosition() {
        return this.basePosition.add(mango_client_1.I80F48.fromU64(this.state.openOrdersCache.coinTotal));
    }
    get basePosition() {
        return new mango_client_1.I80F48(this.state.basePosition);
    }
}
exports.DerivativePosition = DerivativePosition;
//# sourceMappingURL=derivativePosition.js.map