"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpotPosition = void 0;
const mango_client_1 = require("@blockworks-foundation/mango-client");
class SpotPosition {
    constructor(state) {
        this.state = state;
    }
    totalDeposits(cache) {
        if (this.state.position.isNeg())
            return mango_client_1.ZERO_I80F48;
        return new mango_client_1.I80F48(this.state.position).mul(new mango_client_1.I80F48(cache.depositIndex));
    }
    totalBorrows(cache) {
        if (this.state.position.isNeg())
            return new mango_client_1.I80F48(this.state.position).mul(new mango_client_1.I80F48(cache.borrowIndex));
        return mango_client_1.ZERO_I80F48;
    }
}
exports.SpotPosition = SpotPosition;
//# sourceMappingURL=spotPosition.js.map