"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sleep = exports.dateToBn = exports.bnToDate = exports.cypherCoder = exports.cypherIdl = void 0;
const anchor_1 = require("@project-serum/anchor");
const cypher_json_1 = __importDefault(require("../generated/idl/cypher.json"));
exports.cypherIdl = cypher_json_1.default;
exports.cypherCoder = new anchor_1.BorshCoder(exports.cypherIdl);
function bnToDate(bn) {
    return new Date(bn.toNumber() * 1000);
}
exports.bnToDate = bnToDate;
function dateToBn(date) {
    return new anchor_1.BN(date.valueOf() / 1000);
}
exports.dateToBn = dateToBn;
const sleep = (ms) => new Promise((resolve) => setTimeout(resolve, ms));
exports.sleep = sleep;
//# sourceMappingURL=shared.js.map